[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: LyX 1.5.2 + boost 1.34.1

As you can see on the mailing lists archives, I also made a lyx backport..


You can find the 1.5.3 version and the 1.5.2 and relative sources.

The modifications I've made are:
- removed dh_icons call and restored old debhelper versioned build-dep
- fixed python-suppo build-dep version

Do we need to change something about texlive deps and latex-beamer?

I think it's better to backport 1.5.3 version as it fixes many bugs.
It is not entered in testing due to libboost dependencies (it's built
against the new libboost package that introduces some problems).


2008/1/1, Sven Hoexter <sven@timegate.de>:
> Hi,
> I'm searching for a sponsor to check and upload my LyX backport and the
> needed boost backport.
> I've uploaded my build here:
> http://sven.stormbind.net/debian/lyx152bpo/boost_1.34.1-2~bpo40+1.dsc
> http://sven.stormbind.net/debian/lyx152bpo/lyx_1.5.2-1~bpo40+1.dsc
> Justification for the backport:
> - Starting with LyX 1.5.x a new file format got introduced so that current
>   etch users are not able to open LyX documents created with the current
>   versions of the LyX application. There is even a bugreport for it: #458320
> - There are  bugs that got fixed with the 1.5.x release like #458313.
> - Also several users expressed the wish to upgrade to a more recent version
>   on the lyx-user mailinglist if packages were avaible:
>   http://www.mail-archive.com/lyx-users@lists.lyx.org/msg60891.html
> Cheers,
> Sven
> --
> There's no need for tears, cause there's no need to cry.
> That love that you leave will never be denied.
>      [ Flogging Molly - Laura ]
> Gebuehrenboykott 2008 BU WTAL http://www.boykott-wuppertal.de

Reply to: